UIMediaOutput (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.ajax4jsf.component.UIMediaOutput class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Class UIMediaOutput

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.ajax4jsf.component.UIMediaOutput

All Implemented Interfaces:
  javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.resource.ResourceComponent

Direct Known Subclasses:
  MediaOutput

    public abstract class UIMediaOutput

extends javax.faces.component.UIOutput
implements org.ajax4jsf.resource.ResourceComponent

Author:
  shura

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIOutput
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIMediaOutput()`

Method Summary
`abstract java.lang.String` | `getElement()` Get Element name for rendering ( imj , a , object, applet ).
`abstract java.lang.String` | `getUriAttribute()` Get URI attribute for resource ( src for images, href for links etc ).
`abstract void` | `setElement(java.lang.String newvalue)` Set Element name for rendering ( imj , a , object, applet ).
`abstract void` | `setUriAttribute(java.lang.String newvalue)` Set URI attribute for resource ( src for images, href for links etc ).

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getFamily, getLocalValue, getValue, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.resource.ResourceComponent
`getCreateContent, getExpires, getLastModified, getMimeType, getValue, isCacheable, isSession, setCacheable, setCreateContent, setExpires, setLastModified, setMimeType, setSession, setValue`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UIMediaOutput

    public UIMediaOutput()

Method Detail

### getUriAttribute

    public abstract java.lang.String getUriAttribute()

  Get URI attribute for resource ( src for images, href for links etc ).

  Returns:

### setUriAttribute

    public abstract void setUriAttribute(java.lang.String newvalue)

  Set URI attribute for resource ( src for images, href for links etc ).

  Parameters:
    `newvalue` -

### getElement

    public abstract java.lang.String getElement()

  Get Element name for rendering ( imj , a , object, applet ).

  Returns:

### setElement

    public abstract void setElement(java.lang.String newvalue)

  Set Element name for rendering ( imj , a , object, applet ).

  Parameters:
    `newvalue` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.